unit CollChartPanel;

interface

uses
  System.SysUtils, System.Classes, Vcl.Controls, Vcl.ExtCtrls, VCLTee.Chart;

type
  TCollChartPanel = class(TPanel)
  private
    { Private declarations }
    FChart: TChart;
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create(Owner : TComponent); override;
  published
    { Published declarations }
  end;

procedure Register;

implementation

uses
  Forms; // bsNone

procedure Register;
begin
  RegisterComponents('Samples', [TCollChartPanel]);
end;

constructor TCollChartPanel.Create(Owner : TComponent);
begin
  inherited;

  Self.Parent      := Owner as TWinControl;
  Self.BevelOuter  := bvNone;
  Self.BevelInner  := bvNone;
  Self.BorderStyle := bsNone;

  FChart        := TChart.Create(Self); // nil or Owner works fine
  FChart.Parent := Self;
  FChart.Align  := alClient;
end;

end.
